# WelcomeMessageDisplayMode

@Incubating
enum WelcomeMessageDisplayMode

The possible strategies for displaying a welcome message on the command line.

#### Since

7.5

## Entries

ONCE
Link copied to clipboard
@Incubating
ONCE
NEVER
Link copied to clipboard
@Incubating
NEVER

## Functions

valueOf
Link copied to clipboard
open fun valueOf(name: String): WelcomeMessageDisplayMode

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

values
Link copied to clipboard
open fun values(): Array<WelcomeMessageDisplayMode>

Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants.